vips-cpp: VTarget Class Reference

vips-cpp 8.18 libvips C++ binding

Loading...
Searching...
No Matches
VTarget Class Reference

`#include <VConnection8.h>`

Inheritance diagram for VTarget:
[legend]
Collaboration diagram for VTarget:
[legend]

## Public Member Functions
| VTarget (VipsTarget *output, VSteal steal=STEAL)
VipsTarget * | get_target () const
Public Member Functions inherited from VObject
| VObject (VipsObject *new_vobject, VSteal steal=STEAL)
| VObject (const VObject &a)
VObject & | operator= (const VObject &a)
VipsObject * | get_object () const
bool | is_null () const

## Static Public Member Functions
static VTarget | new_to_descriptor (int descriptor)
static VTarget | new_to_file (const char *filename)
static VTarget | new_to_memory ()

## Detailed Description

A generic target object. Savers can use these to write a stream of bytes somewhere, see VImage::write_to_target().

Methods let you can connect a target up to memory, a file or a file descriptor. Use vips::VTargetCustom to implement custom targets using GObject signals.

## Constructor & Destructor Documentation

## ◆ VTarget()

VTarget::VTarget | ( | VipsTarget * | output,
|  | VSteal | steal = STEAL )
| inlineexplicit

Wrap a VTarget around an underlying VipsTarget object.

## Member Function Documentation

## ◆ get_target()

VipsTarget * VTarget::get_target | ( |  | ) | const
| inline

Get a pointer to the underlying VipsTarget object.

## ◆ new_to_descriptor()

VTarget VTarget::new_to_descriptor | ( | int | descriptor | ) |
| static

Make a new VTarget which, when written to, will write to a file descriptor.

## ◆ new_to_file()

VTarget VTarget::new_to_file | ( | const char * | filename | ) |
| static

Make a new VTarget which, when written to, will write to a file.

## ◆ new_to_memory()

VTarget VTarget::new_to_memory | ( |  | ) |
| static

Make a new VTarget which, when written to, will write to a file descriptor.

The documentation for this class was generated from the following files:

- /build/libvips/src/vips-8.18.6/cplusplus/include/vips/VConnection8.h
- /build/libvips/src/vips-8.18.6/cplusplus/VConnection.cpp